{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":41219,"path":"platform-security/identity/create-a-rest-message.md","title":"Create a REST message","bundle":null,"doc_type":null,"release":"australia","body":"\n# Create a REST message\n\nConfigure a REST message for all outbound calls for a particular SCIM Provider.\n\n## Before you begin\n\nRole required: scim\\_client\\_config\\_admin\n\n## Procedure\n\n1.  Navigate to **All** &gt; **System Web Services** &gt; **Outbound** &gt; **REST Message**.\n\n2.  Click **New**.\n\n3.  On the form, fill in the fields.\n\n<table id=\"table_z3g_llg_btb\"><thead><tr><th>\n\nField\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nName\n\n</td><td>\n\nDescriptive name for this message.\n\n</td></tr><tr><td>\n\nEndpoint\n\n</td><td>\n\nBase URL of SCIM Provider. For example, `https://example.service-now.com/api/now/scim`.\n\n</td></tr><tr><td>\n\nAuthentication Type\n\n</td><td>\n\nType of authentication to be used to connect to the external SCIM Provider. For more information see, [Outbound REST authentication](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/api-reference/web-services/c_OutboundRESTAuth.md).\n\n</td></tr><tr><td>\n\nHTTP Headers\n\n</td><td>\n\nThe content type that is expected from the external SCIM Provider.\n\n For example, Header Name is the content type in the following API request body: `Content-type: application/scim+json`\n\n</td></tr></tbody>\n</table>4.  In the  HTTP Methods  related list, click  **New**.\n\n5.  Configure the following HTTP Methods.\n\n    **Note:** The URLs have variables that you must replace.\n\n<table id=\"table_j4b_knp_2tb\"><thead><tr><th>\n\nMethods\n\n</th><th>\n\nSample URL\n\n</th></tr></thead><tbody><tr><td>\n\nGET\n\n</td><td>\n\n`https://example.com/api/now/scim/${resourceName}`\n\n</td></tr><tr><td>\n\nPATCH\n\n</td><td>\n\n`https://example.com/api/now/scim/${resourceName}/${resourceId}`\n\n</td></tr><tr><td>\n\nPUT\n\n</td><td>\n\n`https://example.com/api/now/scim/${resourceName}/${resourceId}`\n\n</td></tr><tr><td>\n\nDELETE\n\n</td><td>\n\n`https://example.com/api/now/scim/${resourceName}/${resourceId}`\n\n</td></tr><tr><td>\n\nPOST\n\n</td><td>\n\n`https://example.com/api/now/scim/${resourceName}/${resourceId}`\n\n</td></tr></tbody>\n</table>    **Note:**\n\n    -   You must create all the HTTP methods for the operation of the SCIM Client.\n    -   A sample REST message is shipped from the base system.\n    \\[Omitted image \"rest-message.png\"\\] Alt text: REST message\n\n6.  Click **Submit**.\n\n\n## Result\n\nThe REST message record is created.\n\n## What to do next\n\nUse the REST message to create a SCIM Provider. For more information, see [Create a SCIM Provider](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/platform-security/identity/create-scim-provider.md).\n\nTo learn more about how to create a REST message, see [Create a REST message](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/api-reference/web-services/t_ConfiguringARESTMessage.md).\n\n"}}